searchNodes=[{"doc":"Gathers supported currency listing and conversion functions","ref":"PTAX.html","title":"PTAX","type":"module"},{"doc":"Returns a list of supported currencies Examples iex&gt; PTAX . currencies ( ) { :ok , ~w[GBP EUR USD]a }","ref":"PTAX.html#currencies/0","title":"PTAX.currencies/0","type":"function"},{"doc":"Similar to exchange/2 , but throws an error if the amount cannot be converted. Examples iex&gt; PTAX . exchange! ( PTAX.Money . new ( 15 , :USD ) , to : :BRL , date : ~D[2021-12-24] ) PTAX.Money . new ( &quot;84.8115&quot; , :BRL ) iex&gt; PTAX . exchange! ( PTAX.Money . new ( &quot;15.45&quot; , :USD ) , to : :GBP , date : ~D[2021-12-24] ) PTAX.Money . new ( &quot;11.5247&quot; , :GBP ) iex&gt; PTAX . exchange! ( PTAX.Money . new ( &quot;15.45&quot; , :USD ) , to : :GBPS , date : ~D[2021-12-24] ) ** (PTAX.Error) Unknown error","ref":"PTAX.html#exchange!/2","title":"PTAX.exchange!/2","type":"function"},{"doc":"Converts a value from one currency to another Examples iex&gt; PTAX . exchange ( PTAX.Money . new ( 5 , :USD ) , to : :GBP , date : ~D[2021-12-24] ) { :ok , PTAX.Money . new ( &quot;3.7297&quot; , :GBP ) } iex&gt; PTAX . exchange ( PTAX.Money . new ( &quot;546.56&quot; , :GBP ) , to : :USD , date : ~D[2021-12-24] ) { :ok , PTAX.Money . new ( &quot;732.4997&quot; , :USD ) } iex&gt; PTAX . exchange ( PTAX.Money . new ( &quot;15.69&quot; , :EUR ) , to : :GBP , date : ~D[2021-12-24] ) { :ok , PTAX.Money . new ( &quot;13.2474&quot; , :GBP ) }","ref":"PTAX.html#exchange/2","title":"PTAX.exchange/2","type":"function"},{"doc":"Defines a Money structure for working with currencies.","ref":"PTAX.Money.html","title":"PTAX.Money","type":"module"},{"doc":"Exchange from a currency to another given the rate. Examples: iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( &quot;12.75&quot; , :USD ) , to : :BRL , rate : PTAX.Money . new ( 5 , :BRL ) ) % PTAX.Money { amount : Decimal . new ( &quot;63.75&quot; ) , currency : :BRL } iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( 10 ) , to : :USD , rate : PTAX.Money . new ( 5 , :BRL ) ) % PTAX.Money { amount : Decimal . new ( 2 ) , currency : :USD } iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( 10 ) , to : :USD , rate : PTAX.Money . new ( &quot;0.2&quot; , :USD ) ) % PTAX.Money { amount : Decimal . new ( &quot;2.0&quot; ) , currency : :USD } iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( 123 , :GBP ) , to : :GBP , rate : PTAX.Money . new ( &quot;1&quot; , :GBP ) ) ** (PTAX.Error) Cannot exchange to the same currency! iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( 1 , :USD ) , to : :GBP , rate : PTAX.Money . new ( 2 , :USD ) ) % PTAX.Money { amount : Decimal . new ( &quot;0.5&quot; ) , currency : :GBP } iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( &quot;119.50&quot; , :JPY ) , PTAX.Money.Pair . new ( Decimal . new ( &quot;119.50&quot; ) , :USD , :JPY ) ) % PTAX.Money { amount : Decimal . new ( 1 ) , currency : :USD } iex&gt; PTAX.Money . exchange! ( PTAX.Money . new ( 1 , :USD ) , PTAX.Money.Pair . new ( Decimal . new ( &quot;119.50&quot; ) , :USD , :JPY ) ) % PTAX.Money { amount : Decimal . new ( &quot;119.50&quot; ) , currency : :JPY }","ref":"PTAX.Money.html#exchange!/2","title":"PTAX.Money.exchange!/2","type":"function"},{"doc":"Create a new Money given the amount and currency. Examples: iex&gt; PTAX.Money . new ( 10 ) % PTAX.Money { amount : Decimal . new ( 10 ) , currency : :BRL } iex&gt; PTAX.Money . new ( &quot;12.75&quot; , :USD ) % PTAX.Money { amount : Decimal . new ( &quot;12.75&quot; ) , currency : :USD } iex&gt; PTAX.Money . new ( 123 , :GBP ) % PTAX.Money { amount : Decimal . new ( 123 ) , currency : :GBP }","ref":"PTAX.Money.html#new/2","title":"PTAX.Money.new/2","type":"function"},{"doc":"","ref":"PTAX.Money.html#normalize/1","title":"PTAX.Money.normalize/1","type":"function"},{"doc":"","ref":"PTAX.Money.html#t:currency/0","title":"PTAX.Money.currency/0","type":"type"},{"doc":"","ref":"PTAX.Money.html#t:t/0","title":"PTAX.Money.t/0","type":"type"},{"doc":"Defines a Currency Pair structure.","ref":"PTAX.Money.Pair.html","title":"PTAX.Money.Pair","type":"module"},{"doc":"Create a new currency pair. Examples: iex&gt; PTAX.Money.Pair . new ( 2 , :GBP , :USD ) % PTAX.Money.Pair { amount : Decimal . new ( 2 ) , base_currency : :GBP , quoted_currency : :USD }","ref":"PTAX.Money.Pair.html#new/3","title":"PTAX.Money.Pair.new/3","type":"function"},{"doc":"","ref":"PTAX.Money.Pair.html#t:t/0","title":"PTAX.Money.Pair.t/0","type":"type"},{"doc":"Define a quotation structure for a currency","ref":"PTAX.Quotation.html","title":"PTAX.Quotation","type":"module"},{"doc":"Returns the quotation of a currency for the date Examples iex&gt; PTAX.Quotation . get ( :USD , ~D[2021-12-24] ) { :ok , % PTAX.Quotation { currency : :USD , bid : PTAX.Money . new ( 5.6541 , :BRL ) , ask : PTAX.Money . new ( 5.6591 , :BRL ) , pairs : %{ type : :A , bid : PTAX.Money.Pair . new ( 1.0 , :USD , :USD ) , ask : PTAX.Money.Pair . new ( 1.0 , :USD , :USD ) } , quoted_in : DateTime . from_naive! ( ~N[2021-12-24 11:04:02.178] , &quot;America/Sao_Paulo&quot; ) , bulletin : PTAX.Quotation.Bulletin.Closing } }","ref":"PTAX.Quotation.html#get/3","title":"PTAX.Quotation.get/3","type":"function"},{"doc":"Returns a quotation list of a currency for a period Examples iex&gt; PTAX.Quotation . list ( :GBP , Date . range ( ~D[2021-12-24] , ~D[2021-12-24] ) ) { :ok , [ % PTAX.Quotation { currency : :GBP , bid : PTAX.Money . new ( 7.5605 , :BRL ) , ask : PTAX.Money . new ( 7.5669 , :BRL ) , pairs : %{ type : :B , bid : PTAX.Money.Pair . new ( 1.3417 , :GBP , :USD ) , ask : PTAX.Money.Pair . new ( 1.3421 , :GBP , :USD ) } , quoted_in : DateTime . from_naive! ( ~N[2021-12-24 10:08:31.922] , &quot;America/Sao_Paulo&quot; ) , bulletin : PTAX.Quotation.Bulletin.Opening } , % PTAX.Quotation { currency : :GBP , bid : PTAX.Money . new ( 7.6032 , :BRL ) , ask : PTAX.Money . new ( 7.6147 , :BRL ) , pairs : %{ type : :B , bid : PTAX.Money.Pair . new ( 1.3402 , :GBP , :USD ) , ask : PTAX.Money.Pair . new ( 1.3406 , :GBP , :USD ) } , quoted_in : DateTime . from_naive! ( ~N[2021-12-24 11:04:02.173] , &quot;America/Sao_Paulo&quot; ) , bulletin : PTAX.Quotation.Bulletin.Intermediary } , % PTAX.Quotation { currency : :GBP , bid : PTAX.Money . new ( 7.5776 , :BRL ) , ask : PTAX.Money . new ( 7.5866 , :BRL ) , pairs : %{ type : :B , bid : PTAX.Money.Pair . new ( 1.3402 , :GBP , :USD ) , ask : PTAX.Money.Pair . new ( 1.3406 , :GBP , :USD ) } , quoted_in : DateTime . from_naive! ( ~N[2021-12-24 11:04:02.178] , &quot;America/Sao_Paulo&quot; ) , bulletin : PTAX.Quotation.Bulletin.Closing } ] } iex&gt; PTAX.Quotation . list ( :GBP , Date . range ( ~D[2021-12-24] , ~D[2021-12-24] ) , PTAX.Quotation.Bulletin.Opening ) { :ok , [ % PTAX.Quotation { currency : :GBP , bid : PTAX.Money . new ( 7.5605 , :BRL ) , ask : PTAX.Money . new ( 7.5669 , :BRL ) , pairs : %{ type : :B , bid : PTAX.Money.Pair . new ( 1.3417 , :GBP , :USD ) , ask : PTAX.Money.Pair . new ( 1.3421 , :GBP , :USD ) } , quoted_in : DateTime . from_naive! ( ~N[2021-12-24 10:08:31.922] , &quot;America/Sao_Paulo&quot; ) , bulletin : PTAX.Quotation.Bulletin.Opening } ] }","ref":"PTAX.Quotation.html#list/3","title":"PTAX.Quotation.list/3","type":"function"},{"doc":"","ref":"PTAX.Quotation.html#t:t/0","title":"PTAX.Quotation.t/0","type":"type"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html","title":"PTAX.Quotation.Bulletin","type":"module"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#default/0","title":"PTAX.Quotation.Bulletin.default/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#enums/0","title":"PTAX.Quotation.Bulletin.enums/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#from/1","title":"PTAX.Quotation.Bulletin.from/1","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#options/0","title":"PTAX.Quotation.Bulletin.options/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#value/1","title":"PTAX.Quotation.Bulletin.value/1","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#values/0","title":"PTAX.Quotation.Bulletin.values/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.html#t:t/0","title":"PTAX.Quotation.Bulletin.t/0","type":"type"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Closing.html","title":"PTAX.Quotation.Bulletin.Closing","type":"module"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Closing.html#downcase_value/0","title":"PTAX.Quotation.Bulletin.Closing.downcase_value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Closing.html#upcase_value/0","title":"PTAX.Quotation.Bulletin.Closing.upcase_value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Closing.html#value/0","title":"PTAX.Quotation.Bulletin.Closing.value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Closing.html#t:t/0","title":"PTAX.Quotation.Bulletin.Closing.t/0","type":"type"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Intermediary.html","title":"PTAX.Quotation.Bulletin.Intermediary","type":"module"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Intermediary.html#downcase_value/0","title":"PTAX.Quotation.Bulletin.Intermediary.downcase_value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Intermediary.html#upcase_value/0","title":"PTAX.Quotation.Bulletin.Intermediary.upcase_value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Intermediary.html#value/0","title":"PTAX.Quotation.Bulletin.Intermediary.value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Intermediary.html#t:t/0","title":"PTAX.Quotation.Bulletin.Intermediary.t/0","type":"type"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Opening.html","title":"PTAX.Quotation.Bulletin.Opening","type":"module"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Opening.html#downcase_value/0","title":"PTAX.Quotation.Bulletin.Opening.downcase_value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Opening.html#upcase_value/0","title":"PTAX.Quotation.Bulletin.Opening.upcase_value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Opening.html#value/0","title":"PTAX.Quotation.Bulletin.Opening.value/0","type":"function"},{"doc":"","ref":"PTAX.Quotation.Bulletin.Opening.html#t:t/0","title":"PTAX.Quotation.Bulletin.Opening.t/0","type":"type"},{"doc":"Make HTTP requests to the PTAX API","ref":"PTAX.Requests.html","title":"PTAX.Requests","type":"module"},{"doc":"","ref":"PTAX.Requests.html#response/1","title":"PTAX.Requests.response/1","type":"function"},{"doc":"","ref":"PTAX.Error.html","title":"PTAX.Error","type":"exception"},{"doc":"","ref":"PTAX.Error.html#new/1","title":"PTAX.Error.new/1","type":"function"},{"doc":"","ref":"PTAX.Error.html#t:t/0","title":"PTAX.Error.t/0","type":"type"},{"doc":"A currency converter that uses the API provided by the Brazilian Open Data Portal to perform quotes","ref":"readme.html","title":"PTAX","type":"extras"},{"doc":"This package can be installed by adding ptax to your list of dependencies in mix.exs : def deps do [ { :ptax , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"PTAX - Installation","type":"extras"},{"doc":"Install and configure a Tesla adapter: # config/config.exs config :tesla , adapter : Tesla.Adapter.Hackney See Tesla installation and adapters docs.","ref":"readme.html#configuration","title":"PTAX - Configuration","type":"extras"}]